#pragma once

#include <saas/rtyserver/components/oxy/abstract/merger.h>

class TOxyArchiveMerger: public IOxyMerger {
private:
    static TFactory::TRegistrator<TOxyArchiveMerger> Registrator;
    TString Prefix;
public:
    virtual bool DoMerge(const NRTYServer::TMergeContext& context, const TRTYServerConfig& config) override;
    virtual bool DoInitialize() override;
};

